package net.sf.itcb.extension.jaxb;

import org.jvnet.jaxb2_commons.lang.JAXBToStringStrategy;
import org.jvnet.jaxb2_commons.lang.ToStringStrategy;
import org.jvnet.jaxb2_commons.locator.ObjectLocator;

public class ItcbToStringStrategy extends JAXBToStringStrategy {

	@Override
	protected StringBuilder appendInternal(ObjectLocator locator,
			StringBuilder stringBuilder, Object value) {
		if(value instanceof byte[]) {
			appendInternal(locator, stringBuilder, (byte[])value);
		}
		else {
			super.appendInternal(locator, stringBuilder, value);
		}
		return stringBuilder;
	}

	
	protected StringBuilder appendInternal(ObjectLocator locator,
			StringBuilder stringBuilder, byte[] value) {
		stringBuilder.append("<Byte Array content not displayed>");
		return stringBuilder;
	}
	
	public static final ToStringStrategy INSTANCE = new ItcbToStringStrategy();


}
